CAD开发者社区

 找回密码
 立即注册

QQ登录

只需一步,快速开始

ActiveX 开发指南

相关分类

DisplayOLEScale Property (ActiveX)

2023-1-3 18:15| 发布者: admin| 查看: 411| 评论: 0|来自: AutoCAD

摘要: 确定将 OLE 对象插入图形时是否显示 OLE 缩放对话框。

确定将 OLE 对象插入图形时是否显示 OLE 缩放对话框。

支持的平台:仅窗口

签名

工 务 局:

object.DisplayOLEScale
对象

类型:首选项系统

此属性适用的对象。

属性值

只读:

类型:布尔

  • True:将 OLE 对象插入图形时显示 OLE 缩放对话框。
  • False:将 OLE 对象插入图形时不显示 OLE 缩放对话框。

言论

此属性的初始值为。True

例子

工 务 局:

Sub Example_DisplayOLEScale()
    ' This example reads and modifies the preference value that controls
    ' whether the OLE scaling dialog is displayed when OLE objects are
    ' inserted into a drawing.
    ' When finished, this example resets the preference value back to
    ' its original value.
    
    Dim ACADPref As AcadPreferencesSystem
    Dim originalValue As Variant, newValue As Variant
    
    ' Get the system preferences object
    Set ACADPref = ThisDrawing.Application.Preferences.System
    
    ' Read and display the original value
    originalValue = ACADPref.DisplayOLEScale
    MsgBox "The DisplayOLEScale preference is set to: " & originalValue

    ' Modify the DisplayOLEScale preference by toggling the value
    ACADPref.DisplayOLEScale = Not (ACADPref.DisplayOLEScale)
    newValue = ACADPref.DisplayOLEScale
    MsgBox "The DisplayOLEScale preference has been set to: " & newValue

    ' Reset the preference back to its original value
    '
    ' * Note: Comment out this last section to leave the change to
    '         this preference in effect
    ACADPref.DisplayOLEScale = originalValue
    MsgBox "The DisplayOLEScale preference was reset back to: " & originalValue
End Sub

Visual LISP:

(vl-load-com)
(defun c:Example_DisplayOLEScale()
    ;; This example reads and modifies the preference value that controls
    ;; whether the OLE scaling dialog is displayed when OLE objects are
    ;; inserted into a drawing.
    ;; When finished, this example resets the preference value back to
    ;; its original value.
    (setq acadObj (vlax-get-acad-object))
    (setq preferences (vla-get-Preferences acadObj))
    
    ;; Get the system preferences object
    (setq ACADPref (vla-get-System preferences))
    
    ;; Read and display the original value
    (setq originalValue (vla-get-DisplayOLEScale ACADPref))
    (alert (strcat "The DisplayOLEScale preference is set to: " (if (= originalValue :vlax-true) "True" "False")))

    ;; Modify the DisplayOLEScale preference by toggling the value
    (vla-put-DisplayOLEScale ACADPref (if (= originalValue :vlax-true) :vlax-false :vlax-true))
    (setq newValue (vla-get-DisplayOLEScale ACADPref))
    (alert (strcat "The DisplayOLEScale preference has been set to: " (if (= newValue :vlax-true) "True" "False")))

    ;; Reset the preference back to its original value
    ;;
    ;; * Note: Comment out this last section to leave the change to
    ;;         this preference in effect
    (vla-put-DisplayOLEScale ACADPref originalValue)
    (alert (strcat "The DisplayOLEScale preference was reset back to: " (if (= originalValue :vlax-true) "True" "False")))
)

路过

雷人

握手

鲜花

鸡蛋

最新评论

QQ|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 )

GMT+8, 2024-5-11 18:12

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

返回顶部